src/fvm/fvm_io_num.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions | Variables
fvm_io_num.h File Reference
`#include "cs_defs.h"`
`#include "fvm_defs.h"`
Include dependency graph for fvm_io_num.h:

Go to the source code of this file.

## Enumerations
enum | fvm_io_num_sfc_t { FVM_IO_NUM_SFC_MORTON_BOX, FVM_IO_NUM_SFC_MORTON_CUBE, FVM_IO_NUM_SFC_HILBERT_BOX, FVM_IO_NUM_SFC_HILBERT_CUBE }

## Functions
fvm_io_num_t * | fvm_io_num_create (const cs_lnum_t parent_entity_number[], const cs_gnum_t parent_global_number[], const size_t n_entities, const int share_parent_global)
fvm_io_num_t * | fvm_io_num_create_shared (const cs_gnum_t global_number[], cs_gnum_t global_count, size_t n_entities)
fvm_io_num_t * | fvm_io_num_create_from_sub (const fvm_io_num_t *base_io_num, const cs_lnum_t n_sub_entities[])
fvm_io_num_t * | fvm_io_num_create_from_adj_s (const cs_lnum_t parent_entity_number[], const cs_gnum_t adjacency[], size_t n_entities, size_t stride)
fvm_io_num_t * | fvm_io_num_create_from_adj_i (const cs_lnum_t parent_entity_number[], const cs_lnum_t index[], const cs_gnum_t adjacency[], cs_lnum_t n_entities)
fvm_io_num_t * | fvm_io_num_create_from_sfc (const cs_coord_t coords[], int dim, size_t n_entities, fvm_io_num_sfc_t sfc_type)
fvm_io_num_t * | fvm_io_num_create_from_scan (size_t n_entities)
fvm_io_num_t * | fvm_io_num_destroy (fvm_io_num_t *this_io_num)
cs_gnum_t * | fvm_io_num_transfer_global_num (fvm_io_num_t *this_io_num)
cs_lnum_t | fvm_io_num_get_local_count (const fvm_io_num_t *const this_io_num)
cs_gnum_t | fvm_io_num_get_global_count (const fvm_io_num_t *const this_io_num)
const cs_gnum_t * | fvm_io_num_get_global_num (const fvm_io_num_t *const this_io_num)
cs_gnum_t | fvm_io_num_global_sub_size (const fvm_io_num_t *this_io_num, const cs_lnum_t n_sub_entities[])
void | fvm_io_num_dump (const fvm_io_num_t *const this_io_num)

## Variables
const char * | fvm_io_num_sfc_type_name []

## Enumeration Type Documentation

enum fvm_io_num_sfc_t

Enumerator
FVM_IO_NUM_SFC_MORTON_BOX |
FVM_IO_NUM_SFC_MORTON_CUBE |
FVM_IO_NUM_SFC_HILBERT_BOX |
FVM_IO_NUM_SFC_HILBERT_CUBE |

## Function Documentation

fvm_io_num_t* fvm_io_num_create | ( | const cs_lnum_t | parent_entity_number[],
|  | const cs_gnum_t | parent_global_number[],
|  | const size_t | n_entities,
|  | const int | share_parent_global
| ) |  |

fvm_io_num_t* fvm_io_num_create_from_adj_i | ( | const cs_lnum_t | parent_entity_number[],
|  | const cs_lnum_t | index[],
|  | const cs_gnum_t | adjacency[],
|  | cs_lnum_t | n_entities
| ) |  |

fvm_io_num_t* fvm_io_num_create_from_adj_s | ( | const cs_lnum_t | parent_entity_number[],
|  | const cs_gnum_t | adjacency[],
|  | size_t | n_entities,
|  | size_t | stride
| ) |  |

fvm_io_num_t* fvm_io_num_create_from_scan | ( | size_t | n_entities | ) |

fvm_io_num_t* fvm_io_num_create_from_sfc | ( | const cs_coord_t | coords[],
|  | int | dim,
|  | size_t | n_entities,
|  | fvm_io_num_sfc_t | sfc_type
| ) |  |

fvm_io_num_t* fvm_io_num_create_from_sub | ( | const fvm_io_num_t * | base_io_num,
|  | const cs_lnum_t | n_sub_entities[]
| ) |  |

fvm_io_num_t* fvm_io_num_create_shared | ( | const cs_gnum_t | global_number[],
|  | cs_gnum_t | global_count,
|  | size_t | n_entities
| ) |  |

fvm_io_num_t* fvm_io_num_destroy | ( | fvm_io_num_t * | this_io_num | ) |

void fvm_io_num_dump | ( | const fvm_io_num_t *const | this_io_num | ) |

cs_gnum_t fvm_io_num_get_global_count | ( | const fvm_io_num_t *const | this_io_num | ) |

const cs_gnum_t* fvm_io_num_get_global_num | ( | const fvm_io_num_t *const | this_io_num | ) |

cs_lnum_t fvm_io_num_get_local_count | ( | const fvm_io_num_t *const | this_io_num | ) |

cs_gnum_t fvm_io_num_global_sub_size | ( | const fvm_io_num_t * | this_io_num,
|  | const cs_lnum_t | n_sub_entities[]
| ) |  |

cs_gnum_t* fvm_io_num_transfer_global_num | ( | fvm_io_num_t * | this_io_num | ) |

## Variable Documentation

const char* fvm_io_num_sfc_type_name[]